package org.systemsbiology.jrap.extension;

import org.systemsbiology.jrap.SAX2ScanHandler;
import org.xml.sax.Attributes;

public class ExtSAX2ScanHandler extends SAX2ScanHandler {
	
	/** A new Scan Object */
	
	public ExtScan getScan()
	{
		return (ExtScan)tmpScan;
	}
	
	public ExtScan newScan() {
		return new ExtScan();
	}
	
	protected void addScanPrecursorAttributes(Attributes attrs) {
		super.addScanPrecursorAttributes(attrs);
		
		((ExtScan)tmpScan).setPrecursorIntensity(
				getFloatAttribute(attrs, "precursorIntensity"));
		((ExtScan)tmpScan).setActivationMethod(
				getStringAttribute(attrs, "activationMethod"));
	}
	
}
